Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 639260 - net-misc/mico depends on deprecated Qt3Support/Qt4
Summary: net-misc/mico depends on deprecated Qt3Support/Qt4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michael Haubenwallner
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2017-11-30 01:17 UTC by Andreas Sturmlechner
Modified: 2018-03-15 22:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
a guess about a port (mico-qt5.patch,1.63 KB, patch)
2017-12-07 18:41 UTC, Rafał Mużyło
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2017-11-30 01:17:08 UTC
Qt4 is dead and going away. Please check if the code is able to build against Qt5 or if a newer release is available.
Comment 1 Rafał Mużyło 2017-12-07 18:41:31 UTC
Created attachment 508750 [details, diff]
a guess about a port

> Qt4 is dead and going away. Please check if the code is able to build
> against Qt5 or if a newer release is available.

Well, with some minor adjustments it would be.
Though someone, who uses this app, should test if this is a valid change.

While 'setSingleShot' is a trivial change, the other thing is a guess.
The guess is 'AFAICT in *none* of the cases (qt, gtk, x11) gui is actually in use, only thing that matters is a main loop'.

Assuming above, QCoreApplication should suffice (reducing dep to qtcore:5) and comparing with gtk case, the change to 'processEvents' seems valid.

On that note, given above assumption, properly ported gtk part shouldn't be using anything more than gio.

Additional catch might be '-fPIC' req for 'reduce-relocations' case...
That one might be tricky...
Comment 2 Andreas Sturmlechner gentoo-dev 2017-12-21 13:41:04 UTC
Thanks for your patch! Testing, anyone?
Comment 3 Andreas Sturmlechner gentoo-dev 2018-03-03 09:50:10 UTC
@Rafał, did you add some additional changes to configure to make it build?


x86_64-pc-linux-gnu-g++  -I. -I../include  -Wall -Wwrite-strings -pthread -O2 -march=core2 -pipe -D_REENTRANT -D_GNU_SOURCE     -c qtmico.cc -o qtmico.o
rm -f libmicoaux2.3.13.so
/var/tmp/portage/net-misc/mico-2.3.13-r11/work/mico/./admin/mico-shld -o libmicoaux2.3.13 dynany_impl.pic.o \
        -L../libs -lmico2.3.13
In file included from qtmico.cc:29:0:
../include/mico/qtmico.h:30:10: fatal error: qcoreapplication.h: No such file or directory
 #include <qcoreapplication.h>
          ^~~~~~~~~~~~~~~~~~~~
compilation terminated.
make[1]: *** [../MakeVars:222: qtmico.o] Error 1
Comment 4 Larry the Git Cow gentoo-dev 2018-03-15 22:27:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a61dcef083698c8e9be99ac91a95206be33b6281

commit a61dcef083698c8e9be99ac91a95206be33b6281
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-03-15 18:22:31 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-03-15 22:27:02 +0000

    net-misc/mico: Drop USE=qt4
    
    Closes: https://bugs.gentoo.org/639260
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 net-misc/mico/mico-2.3.13-r11.ebuild | 149 +++++++++++++++++++++++++++++++++++
 1 file changed, 149 insertions(+)